#
#
#	Apple Macintosh Developer Technical Support
#
#	ModalList : Simple Modal Dialog and List Manager Sample Application
#
#	ModalList.c
#
#	Copyright  1989 Apple Computer, Inc.
#	All rights reserved.
#
#	Versions:	
#			1.00 					10/89
#
#	Components:
#			ModalList.make			October 1, 1989
#			ModalList.h				October 1, 1989
#			ModalList.c				October 1, 1989
#			ModalList.r				October 1, 1989
#
#	ModalList is an example application that demonstrates
#	how to use the Dialog Manager and List Manager routines
#	together. It is not a good example of a sample application
#	but a great example of the use of lists in a dialog. The
#	default LDEF is used to display a 2 dimensional list of strings.
#	Each cell's string is initialized to represent it's position in the
#	list. The user can change these strings and search for a particular
#	setting. Once again this is not meant as an example application and
#	there are some features that are documented in the source listing
#	that you should pay close attention to inorder to understand how
#	this example works.
#
#

CObjs			=	ModalList.c.o 
					"{CLibraries}"CRuntime.o 
					"{CLibraries}"CInterface.o 
					"{Libraries}"Interface.o

ModalList			{CObjs} ModalList.make
					Link -o {Targ} {CObjs}
					SetFile {Targ} -t APPL -c '????' -a B

ModalList			ModalList.r ModalList.h ModalList.make
					Rez -rd -o {Targ} ModalList.r -append

ModalList.c.o		ModalList.make
